# SPDX-License-Identifier: MIT
Version:   5.300
Release:   9%{?dist}
URL:       https://scripts.sil.org/Mondulkiri

%global common_description %{expand:
The Mondulkiri font families provide Unicode support for the Khmer script.
“Mondulkiri” and “Ratanakiri” are the names of two provinces in north-eastern
Cambodia, Busra and Oureang are names of places in Mondulkiri province.
}

License:   OFL
BuildArch: noarch

%global    source_name    sil-mondulkiri-extra-fonts
%global    source_summary Extra Khmer script font families from the SIL Mondulkiri project
%global    source_description %{expand:
%{?common_description}
}

%global foundry           SIL
%global fontlicenses      OFL.txt
%global fontdocs          *.txt
%global fontdocsex        %{fontlicenses}

%global fontfamily0       Ratanakiri
%global fontsummary0      Khmer Ratanakiri, a Khmer Mool title font family
%global fonts0            RataV53.ttf
%global fontconfngs0      %{SOURCE1}
%global fontdescription0  %{expand:
%{?common_description}

Khmer Ratanakiri is a Mool (or Muol or Muul) font family which is frequently
used for headings and signs. At this point of time most ligatures have not yet
been implemented. Some coengs of independent vowels and other features used
only infrequently in normal Khmer text are currently still implemented in a
different character style. This font does not support more than one
below‐coeng, i.e. words like លក្ស្មណៈ cannot be written in it.}

%global fontfamily1       Oureang
%global fontsummary1      Khmer Oureang, a very bold Khmer title font family
%global fontheader1       %{expand:
Suggests: font(khmermondulkiri)
}
%global fonts1            Mo9V55.ttf
%global fontconfngs1      %{SOURCE2}
%global fontdescription1  %{expand:
%{?common_description}

Khmer Oureang is a very bold Khmer script font family, useful for headings. It
was formerly named “Khmer Mondulkiri ultra”.}

%global fontfamily2       Busra MOE
%global fontsummary2      Khmer Busra MOE, a special Khmer Busra variant
%global fontheader2       %{expand:
Suggests: font(khmerbusra)
}
%global fonts2            Mo5V56MO.ttf
%global fontconfngs2      %{SOURCE3}
%global fontdescription2  %{expand:
%{?common_description}

Khmer Busra MOE drops a below‐vowel in a cluster containing a coeng‐Ro.}

%global fontfamily3       Busra dict
%global fontsummary3      Khmer Busra dict, a special Khmer Busra variant
%global fontheader3       %{expand:
Suggests: font(khmerbusra)
}
%global fonts3            Mo5V56dc.ttf
%global fontconfngs3      %{SOURCE4}
%global fontdescription3  %{expand:
%{?common_description}

Khmer Busra dict has alternative shapes for four of the Khmer letters as they
are found in some dictionaries.}

%global fontfamily4       Busra high
%global fontsummary4      Khmer Busra high, a special Khmer Busra variant
%global fontheader4       %{expand:
Suggests: font(khmerbusra)
}
%global fonts4            Mo5V56hi.ttf
%global fontconfngs4      %{SOURCE5}
%global fontdescription4  %{expand:
%{?common_description}

Khmer Busra high has a higher line height in order to accommodate some rare
Khmer words on screen.}

%global fontfamily5       Busra Bunong
%global fontsummary5      Khmer Busra Bunong, a special Khmer Busra variant
%global fontheader5       %{expand:
Suggests: font(khmerbusra)
}
%global fonts5            Mo5V56Bu.ttf
%global fontconfngs5      %{SOURCE6}
%global fontdescription5  %{expand:
%{?common_description}

Khmer Busra Bunong has a lower line height. Some coengs or vowels under coengs
may not display on screen or touch the top character of the next line. If any
parts are clipped on the screen they should, however, be visible in print. It
will provide more lines of text on a given page.}

%global fontfamily6       Busra xspace
%global fontsummary6      Khmer Busra xspace, a special Khmer Busra variant
%global fontheader6       %{expand:
Suggests: font(khmerbusra)
}
%global fonts6            Mo5V56xs.ttf
%global fontconfngs6      %{SOURCE7}
%global fontdescription6 %{expand:
%{?common_description}

Khmer Busra xspace makes a number of otherwise invisible or not easily visible
characters visible. However, many word processors and editors take charge of
some or all of these characters and do not display them in the way they are
provided in the font.}

%global fontfamily7       Busra diagnostic
%global fontsummary7      Khmer Busra diagnostic, a special Khmer Busra variant
%global fontheader7       %{expand:
Suggests: font(khmerbusra)
}
%global fonts7            Mo5V56di.ttf
%global fontconfngs7      %{SOURCE8}
%global fontdescription7  %{expand:
%{?common_description}

Khmer Busra diagnostic does the same as Khmer Busra xspace, but also adds
dotted circles before coengs if they follow a vowel as well as in between
multiple above‐symbols. Both of these character sequences are permitted in
Windows, but the former is often a miss‐spelling and the latter is also usually
unintended and a miss‐spelling as well as not being permitted in other
operating systems. In this way the font helps to spot common typos.}

%global fontfamily8       Busra dot
%global fontsummary8      Khmer Busra dot, a special Khmer Busra variant
%global fontheader8       %{expand:
Suggests: font(khmerbusra)
}
%global fonts8            Mo5V56do.ttf
%global fontconfngs8      %{SOURCE9}
%global fontdescription8 %{expand:
%{?common_description}

This font does something that a Unicode font should not do and that is it does
not show the “correct” symbol for one particular Unicode code-point. It shows a
dotted circle in the place where a ក should be shown. It may be used for
didactic purposes.}

%fontpkg
%fontmetapkg
%docpkg

%sourcelist
%global archivename Mondulkiri-%{version}
https://scripts.sil.org/cms/scripts/render_download.php?format=file&media_id=%{archivename}&filename=%{archivename}.zip#/%{archivename}.zip
66-%{fontname0}.xml
66-%{fontname1}.xml
66-%{fontname2}.xml
66-%{fontname3}.xml
66-%{fontname4}.xml
66-%{fontname5}.xml
66-%{fontname6}.xml
66-%{fontname7}.xml
66-%{fontname8}.xml

%prep
%setup -q -n %{archivename}
%linuxtext *.txt

%build
%fontbuild

%install
%fontinstall

%check
%fontcheck

%fontfiles

%files doc
%defattr(644, root, root, 0755)
%license OFL.txt
%doc documentation/*.pdf

%changelog
* Sat May 30 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 5.300-9
🚒 Rebuild with fonts-rpm-macros 4.0.2, fixing rpm 4.15 regressions

* Wed Apr 29 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 5.300-8
🆕 Update to use fonts-rpm-macros 4.x

* Mon Apr 27 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 5.300-7
🐞 Workaround Fedora problems created by rpm commit 93604e2

* Thu Apr 02 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 5.300-6
💥 Actually rebuild with fonts-rpm-macros 2.0.4 to make sure fontconfig files are
  valid

* Thu Apr 02 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 5.300-5
👻 Rebuild with fonts-rpm-macros 2.0.4 to make sure fontconfig files are valid

* Mon Mar 02 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 5.300-4
✅ Lint, lint, lint and lint again

* Sat Feb 22 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 5.300-3
✅ Rebuild with fonts-rpm-macros 2.0.2

* Sat Feb 15 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 5.300-1
✅ Initial packaging
